<script>
import PHead from "./head/index.vue";
import PMain from "./main/index.vue";
const { getUser } = require("@/server/utils/store");

export default {
  name: "design-dtg",
  components: { PHead, PMain },
  data() {
    return {
      user: {},
      factoryType: "CN",
      userData: getUser()
    };
  },
  mounted() {},
  methods: {}
};
</script>

<template>
  <div class="page">
    <p-head :user="userData.user" :factoryType="userData.factoryType" />
    <p-main :factoryType="factoryType" />
  </div>
</template>

<style scoped lang="less">
.page {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  // border-top: 1px solid #dcdfe6;
}
</style>
